<template>
  <div class="container">
    <SearchBar @term-change="onTermChange"></SearchBar>
    <div class="row">
      <VideoDetail :video="selectedVideo" /> 
      <VideoList :videos="videos" @video-select="onVideoSelect"></VideoList>
    </div>
  </div>
</template>

<script>
import axios from "axios";
import SearchBar from "@/components/SearchBar";
import VideoList from "@/components/VideoList";
import VideoDetail from '@/components/VideoDetail';

const API_KEY = "AIzaSyDFqG7W_rOhKV0gUeTYdOPkUqBK-G2oLKA";

export default {
  name: "App",
  components: {
    SearchBar,
    VideoList,
    VideoDetail
  },
  data: () => {
    return {
        videos: [],
        selectedVideo: null
    };
  },
  methods: {
    onTermChange: function(searchTerm) {
      axios
        .get("https://www.googleapis.com/youtube/v3/search", {
          params: {
            key: API_KEY,
            type: 'video',
            part: 'snippet',
            q: searchTerm,
          },
        })
        .then(response => {
            console.log(response);
            this.videos = response.data.items;
        });
    },
    onVideoSelect(video) {
      console.log(video);
      this.selectedVideo = video;
    }
  },
};
</script>